Index: packages.ent
===================================================================
--- packages.ent	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ packages.ent	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,2 +1,4 @@
+<!-- $LastChangedBy$ $Date$ -->
+
 <!-- Part II -->
 <!-- Chapter 4 -->
@@ -7,70 +9,73 @@
 <!ENTITY cracklib-version             "2.9.7">
 <!ENTITY cryptsetup-minor             "2.3">
-<!ENTITY cryptsetup-version           "&cryptsetup-minor;.6">
+<!ENTITY cryptsetup-version           "&cryptsetup-minor;.4">
 <!ENTITY cyrus-sasl-version           "2.1.27">
-<!ENTITY gnupg2-version               "2.2.29">
+<!ENTITY gnupg2-version               "2.2.26">
 <!ENTITY firewalld-version            "0.8.1">
-<!ENTITY gnutls-version               "3.7.2">
-<!ENTITY gpgme-version                "1.16.0">
-<!ENTITY haveged-version              "1.9.14">
-<!ENTITY iptables-version             "1.8.7">
-<!ENTITY libcap-version               "2.53">
+<!ENTITY gnutls-version               "3.7.0">
+<!ENTITY gpgme-version                "1.15.0">
+<!ENTITY haveged-version              "1.9.13">
+<!ENTITY iptables-version             "1.8.6">
+<!ENTITY libcap-version               "2.46">
 <!ENTITY liboauth-version             "1.0.3">
-<!ENTITY linux-pam-version            "1.5.2">
-<!ENTITY linux-pam-docs-version       "1.5.2">
+<!ENTITY linux-pam-version            "1.5.1">
+<!ENTITY linux-pam-docs-version       "1.5.1">
 <!ENTITY libpwquality-version         "1.4.4">
-<!ENTITY make-ca-version              "1.8.1">
-<!ENTITY mitkrb-major-version         "1.19">
-<!ENTITY mitkrb-version               "&mitkrb-major-version;.2">
+<!ENTITY make-ca-version              "1.7">
+<!ENTITY mitkrb-major-version         "1.18">
+<!ENTITY mitkrb-version               "&mitkrb-major-version;.3">
 <!ENTITY nftables-version             "0.9.3">
-<!ENTITY nettle-version               "3.7.3">
-
-<!ENTITY nss-minor-version            "69">
+<!ENTITY nettle-version               "3.6">
+
+<!ENTITY nss-minor-version            "60">
 <!ENTITY nss-micro-version            "0">
+<!--<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">-->
 <!ENTITY nss-version                  "3.&nss-minor-version;">
-<!ENTITY openssh-version              "8.7p1">
-<!ENTITY p11-kit-version              "0.24.0">
-<!ENTITY polkit-version               "0.119">
+<!ENTITY openssh-version              "8.4p1">
+<!-- <!ENTITY openssl-version              "1.1.0g"> -->
+<!ENTITY openssl10-version            "1.0.2q">
+<!ENTITY p11-kit-version              "0.23.22">
+<!ENTITY polkit-version               "0.118">
 <!ENTITY polkit-gnome-version         "0.105">
-<!ENTITY shadow-version               "4.9">
+<!ENTITY shadow-version               "4.8.1">
 <!ENTITY ssh-askpass-version          "&openssh-version;">
-<!ENTITY stunnel-version              "5.60">
-<!ENTITY sudo-version                 "1.9.7p2">
+<!ENTITY stunnel-version              "5.57">
+<!ENTITY sudo-version                 "1.9.4p2">
 <!ENTITY tripwire-version             "2.4.3.7">
 <!ENTITY volume_key-version           "0.3.12">
 
 <!-- Chapter 5 -->
-<!ENTITY btrfs-progs-version          "5.13.1">
-<!ENTITY dosfstools-version           "4.2">
-<!ENTITY fuse3-version                "3.10.4">
+<!ENTITY btrfs-progs-version          "5.9">
+<!ENTITY dosfstools-version           "4.1">
+<!ENTITY fuse3-version                "3.10.1">
 <!ENTITY jfsutils-version             "1.1.15">
-<!ENTITY lvm2-version                 "2.03.13">
+<!ENTITY lvm2-version                 "2.03.10">
 <!ENTITY mdadm-version                "4.1">
-<!ENTITY ntfs-3g-version              "2021.8.22">
-<!ENTITY gptfdisk-version             "1.0.8">
-<!ENTITY parted-version               "3.4">
+<!ENTITY ntfs-3g-version              "2017.3.23">
+<!ENTITY gptfdisk-version             "1.0.5">
+<!ENTITY parted-version               "3.3">
 <!ENTITY reiser-version               "3.6.27">
 <!ENTITY smartmontools-version        "7.2">
-<!ENTITY sshfs-version                "3.7.2">
-<!ENTITY xfsprogs-version             "5.13.0">
+<!ENTITY sshfs-version                "3.7.1">
+<!ENTITY xfsprogs-version             "5.10.0">
 
 <!-- Chapter 6 -->
 <!ENTITY bluefish-version             "2.2.12">
-<!ENTITY ed-version                   "1.17">
-<!ENTITY emacs-version                "27.2">
-<!ENTITY gedit-version                "40.1">
+<!ENTITY ed-version                   "1.16">
+<!ENTITY emacs-version                "27.1">
+<!ENTITY gedit-version                "3.38.1">
 <!ENTITY joe-version                  "4.6">
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
-<!ENTITY nano-version                 "5.8">
-<!ENTITY vim-version                  "8.2.3337">
+<!ENTITY nano-version                 "5.4">
+<!ENTITY vim-version                  "8.2.2253">
 <!ENTITY vim-majmin                   "82">
 
 <!-- Chapter 7 -->
-<!ENTITY dash-version                 "0.5.11.4">
-<!ENTITY tcsh-version                 "6.22.04">
+<!ENTITY dash-version                 "0.5.11.3">
+<!ENTITY tcsh-version                 "6.22.03">
 <!ENTITY zsh-version                  "5.8">
 
 <!-- Chapter 8 Virtualization -->
-<!ENTITY qemu-version                 "6.1.0">
+<!ENTITY qemu-version                 "5.2.0">
 
 <!-- Part III -->
@@ -81,5 +86,5 @@
 
 <!ENTITY boost-major                  "1">
-<!ENTITY boost-minor                  "77">
+<!ENTITY boost-minor                  "75">
 <!ENTITY boost-patch                  "0">
 <!ENTITY boost-version                "&boost-major;.&boost-minor;.&boost-patch;">
@@ -88,29 +93,29 @@
 <!ENTITY brotli-version               "1.0.9">
 <!ENTITY clucene-version              "2.3.3.4">
-<!ENTITY dbus-glib-version            "0.112">
+<!ENTITY dbus-glib-version            "0.110">
 <!ENTITY double-conversion-version    "3.1.5">
-<!ENTITY enchant-version              "2.3.1">
+<!ENTITY enchant-version              "2.2.15">
 <!ENTITY exempi-version               "2.5.2">
 <!ENTITY expat-version                "2.1.0">
 <!ENTITY fftw-version                 "3.3.9">
 <!ENTITY gcab-version                 "0.7">
-<!ENTITY glib2-minor                  "2.68">
+<!ENTITY glib2-minor                  "2.66">
 <!ENTITY glib2-version                "&glib2-minor;.4">
-<!ENTITY glibmm-version               "2.66.1">
+<!ENTITY glibmm-version               "2.64.5">
 <!ENTITY gmime-version                "2.6.23">
 <!ENTITY gmime3-version               "3.2.7">
-<!ENTITY gobject-introspection-version "1.68.0">
+<!ENTITY gobject-introspection-version "1.66.1">
 <!ENTITY grantlee-version             "5.2.0">
-<!ENTITY gsl-version                  "2.7">
+<!ENTITY gsl-version                  "2.6">
 <!ENTITY gspell-version               "1.8.4">
 
-<!ENTITY icu-major                    "69">
-<!ENTITY icu-minor                    "1">
+<!ENTITY icu-major                    "68">
+<!ENTITY icu-minor                    "2">
 <!ENTITY icu-patch                    "0">
 <!ENTITY icu-version                  "&icu-major;.&icu-minor;"><!-- .&icu-patch;-->
 <!ENTITY icu-dl-version               "&icu-major;_&icu-minor;"><!-- _&icu-patch;-->
 
-<!ENTITY inih-version                 "53">
-<!ENTITY iso-codes-version            "4.7.0">
+<!ENTITY inih-version                 "52">
+<!ENTITY iso-codes-version            "4.5.0">
 <!ENTITY jansson-version              "2.13.1">
 <!--<!ENTITY JS52-version                 "52.2.1gnome1">-->
@@ -118,131 +123,126 @@
 <!--<!ENTITY JS68-version                 "68.12.0">-->
 <!-- for JS78 see firefox -->
-<!-- temporary, until JS91 is approved for gnome -->  
-<!ENTITY JS78-version                 "78.13.0">
 <!ENTITY json-c-version               "0.15">
-<!ENTITY json-glib-version            "1.6.6">
+<!ENTITY json-glib-version            "1.6.0">
 <!ENTITY keyutils-version             "1.6.1">
 <!ENTITY libaio-version               "0.3.112">
-<!ENTITY libarchive-version           "3.5.2">
-<!ENTITY libassuan-version            "2.5.5">
+<!ENTITY libarchive-version           "3.5.1">
+<!ENTITY libassuan-version            "2.5.4">
 <!ENTITY libatasmart-version          "0.19">
 <!ENTITY libatomic_ops-version        "7.6.10">
-<!ENTITY libblockdev-version          "2.26">
-<!ENTITY libbytesize-version          "2.6">
+<!ENTITY libblockdev-version          "2.24">
+<!ENTITY libbytesize-version          "2.4">
 <!--<!ENTITY libcroco-version             "0.6.13">-->
 <!ENTITY libdaemon-version            "0.14">
-<!ENTITY libdrm-version               "2.4.107">
+<!ENTITY libdrm-version               "2.4.103">
 <!ENTITY libepoxy-minor               "1.5">
-<!ENTITY libepoxy-version             "&libepoxy-minor;.9">
+<!ENTITY libepoxy-version             "&libepoxy-minor;.5">
 <!-- <!ENTITY libesmtp-version             "1.0.6"> -->
-<!ENTITY libgcrypt-version            "1.9.4">
+<!ENTITY libgcrypt-version            "1.8.7">
 <!ENTITY libglade-version             "2.6.4">
-<!ENTITY libgpg-error-version         "1.42">
+<!ENTITY libgpg-error-version         "1.41">
 <!ENTITY libgrss-version              "0.7.0">
 <!ENTITY libgsf-version               "1.14.47">
-<!ENTITY libgudev-version             "237">
-<!ENTITY libgusb-version              "0.3.7">
-<!ENTITY libical-version              "3.0.10">
-<!ENTITY libidn-version               "1.38">
-<!ENTITY libidn2-version              "2.3.2">
-<!ENTITY libiodbc-version             "3.52.15">
-<!ENTITY libksba-version              "1.6.0">
-<!ENTITY liblinear-version            "243">
-<!ENTITY libmbim-version              "1.26.0">
-<!--<!ENTITY libnfsidmap-version          "0.26">-->
+<!ENTITY libgudev-version             "234">
+<!ENTITY libgusb-version              "0.3.5">
+<!ENTITY libical-version              "3.0.8">
+<!ENTITY libidn-version               "1.36">
+<!ENTITY libidn2-version              "2.3.0">
+<!ENTITY libiodbc-version             "3.52.12">
+<!ENTITY libksba-version              "1.5.0">
+<!ENTITY liblinear-version            "242">
+<!ENTITY libmbim-version              "1.24.4">
+<!ENTITY libnfsidmap-version          "0.26">
 <!ENTITY libpaper-version             "1.1.24+nmu5">
-<!ENTITY libportal-version            "0.4">
-<!ENTITY libqmi-version               "1.30.0">
+<!ENTITY libportal-version            "0.3">
+<!ENTITY libqmi-version               "1.26.6">
 <!ENTITY libseccomp-version           "2.5.1">
-<!ENTITY libsigc-version              "2.10.7">
-<!ENTITY libsigc3-version             "3.0.7">
-<!ENTITY libsigsegv-version           "2.13">
+<!ENTITY libsigc-version              "2.10.6">
+<!ENTITY libsigc3-version             "3.0.6">
+<!ENTITY libsigsegv-version           "2.12">
 <!ENTITY libssh2-version              "1.9.0">
-<!ENTITY libstatgrab-version          "0.92.1">
-<!ENTITY libtasn1-version             "4.17.0">
-<!ENTITY libuninameslist-version      "20210626">
+<!ENTITY libstatgrab-version          "0.92">
+<!ENTITY libtasn1-version             "4.16.0">
+<!ENTITY libuninameslist-version      "20200413">
 <!ENTITY libunique-version            "1.1.6">
 <!ENTITY libunistring-version         "0.9.10">
 <!ENTITY libusb-version               "1.0.24">
 <!ENTITY libusb-compat-version        "0.1.5">
-<!ENTITY libuv-version                "1.42.0">
-<!ENTITY libxkbcommon-version         "1.3.0">
+<!ENTITY libuv-version                "1.40.0">
+<!ENTITY libxkbcommon-version         "1.0.3">
 <!-- the libxml2-version is also used for the python2 module,
 which is built separately after libxml2.so has been installed,
 to avoid building libxml2 twice, which is slow with all deps -->
-<!ENTITY libxml2-version              "2.9.12">
+<!ENTITY libxml2-version              "2.9.10">
 <!ENTITY libxslt-version              "1.1.34">
-<!ENTITY libwacom-version             "1.11">
-<!ENTITY libwpe-version               "1.10.1">
+<!ENTITY libwacom-version             "1.7">
 <!ENTITY lzo-version                  "2.10">
 <!ENTITY mtdev-version                "1.1.6">
-<!ENTITY nodejs-version               "14.17.5">
+<!ENTITY nodejs-version               "14.15.3">
 <!ENTITY npth-version                 "1.6">
-<!ENTITY nspr-version                 "4.32">
+<!ENTITY nspr-version                 "4.29">
 <!ENTITY openobex-version             "1.7.2">
-<!ENTITY pcre-version                 "8.45">
-<!ENTITY pcre2-version                "10.37">
+<!ENTITY pcre-version                 "8.44">
+<!ENTITY pcre2-version                "10.36">
 <!ENTITY popt-version                 "1.18">
 <!ENTITY pth-version                  "2.0.7">
 <!ENTITY ptlib-version                "2.10.11">
-<!ENTITY qca-version                  "2.3.3">
+<!ENTITY qca-version                  "2.3.1">
 <!ENTITY qjson-version                "0.8.1">
 <!ENTITY sbc-version                  "1.5">
-<!ENTITY talloc-version               "2.3.3">
-<!ENTITY telepathy-glib-version       "0.24.2">
+<!ENTITY talloc-version               "2.3.1">
+<!ENTITY telepathy-glib-version       "0.24.1">
 <!ENTITY uchardet-version             "0.0.7">
-<!ENTITY umockdev-version             "0.16.2">
-<!ENTITY wayland-version              "1.19.0">
-<!ENTITY wayland-protocols-version    "1.21">
-<!ENTITY wpebackend-fdo-version       "1.10.0">
+<!ENTITY umockdev-version             "0.15.3">
+<!ENTITY wayland-version              "1.18.0">
+<!ENTITY wayland-protocols-version    "1.20">
 <!ENTITY wv-version                   "1.2.9">
-<!ENTITY xapian-version               "1.4.18">
-<!ENTITY yaml-version                 "0.2.5">
+<!ENTITY xapian-version               "1.4.17">
+<!ENTITY yaml-version                 "0.2.4">
 
 <!-- Chapter 10 -->
 <!ENTITY aalib-version                "1.4rc5">
-<!ENTITY babl-version                 "0.1.88">
-<!ENTITY exiv2-version                "0.27.4">
-<!ENTITY freetype2-version            "2.11.0">
+<!ENTITY babl-version                 "0.1.84">
+<!ENTITY exiv2-version                "0.27.3">
+<!ENTITY freetype2-version            "2.10.4">
 <!ENTITY fontconfig-version           "2.13.1">  <!-- stable lt .90 micro version -->
 <!ENTITY fribidi-version              "1.0.9">
-<!ENTITY gegl-version                 "0.4.30">
+<!ENTITY gegl-version                 "0.4.28">
 <!ENTITY giflib-version               "5.2.1">
 <!ENTITY glm-version                  "0.9.9.8">
 <!ENTITY graphite2-version            "1.3.14">
-<!ENTITY harfbuzz-version             "2.9.0">
+<!ENTITY harfbuzz-version             "2.7.4">
 <!--<!ENTITY ijs-version                  "0.35">-->
-<!ENTITY jasper-version               "2.0.33">
+<!ENTITY jasper-version               "2.0.14">
 <!ENTITY lcms-version                 "1.19">
-<!ENTITY lcms2-version                "2.12">
+<!ENTITY lcms2-version                "2.11">
 <!ENTITY libexif-version              "0.6.22">
-<!ENTITY libgxps-version              "0.3.2">
-<!ENTITY libjpeg-turbo-version        "2.1.1">
+<!ENTITY libgxps-version              "0.3.1">
+<!ENTITY libjpeg-turbo-version        "2.0.6">
 <!ENTITY libmng-version               "2.0.3">
 <!ENTITY libmypaint-version           "1.6.1"> <!-- version 1 only -->
 <!ENTITY libpng-version               "1.6.37">
-<!ENTITY librsvg-version              "2.50.7">   <!-- Normally even minors -->
+<!ENTITY librsvg-version              "2.50.2">   <!-- Normally even minors -->
 <!ENTITY libraw-version               "0.20.2">
 <!ENTITY libspiro-version             "20200505">
-<!ENTITY libtiff-version              "4.3.0">
-<!ENTITY libwebp-version              "1.2.1">
+<!ENTITY libtiff-version              "4.2.0">
+<!ENTITY libwebp-version              "1.1.0">
 <!ENTITY mypaint-brushes-version      "1.3.0"> <!-- version 1 only -->
 <!ENTITY newt-version                 "0.52.21">
-<!ENTITY opencv-version               "4.5.3">
-<!ENTITY opencv-contrib-version       "4.5.3">
+<!ENTITY opencv-version               "4.5.1">
+<!ENTITY opencv-contrib-version       "4.5.1">
 <!ENTITY openjpeg-version             "1.5.2">
 <!ENTITY openjpeg2-version            "2.4.0">
 <!ENTITY pixman-version               "0.40.0">   <!-- Even minors only -->
-<!ENTITY poppler-version              "21.08.0">
+<!ENTITY poppler-version              "20.12.1">
 <!ENTITY potrace-version              "1.16">
-<!ENTITY qpdf-version                 "10.3.2">
+<!ENTITY qpdf-version                 "10.0.4">
 <!ENTITY qrencode-version             "4.1.1">
-<!ENTITY libsass-version              "3.6.5">
-<!ENTITY sassc-version                "3.6.2">
+<!ENTITY libsass-version              "3.6.4">
+<!ENTITY sassc-version                "3.6.1">
 <!ENTITY woff2-version                "1.0.2">
 
 <!-- Chapter 11 -->
-<!ENTITY asciidoc-version             "9.1.0">
-<!ENTITY asciidoctor-version          "2.0.16">
+<!ENTITY asciidoc-version             "9.0.4">
 <!ENTITY bogofilter-version           "1.2.5">
 <!ENTITY chrpath-version              "0.16">
@@ -250,16 +250,16 @@
 <!ENTITY desktop-file-utils-version   "0.26">
 <!ENTITY gperf-version                "3.0.4">
-<!ENTITY graphviz-version             "2.48.0">
+<!ENTITY graphviz-version             "2.44.1">   <!-- Even minors only -->
 <!ENTITY gtk-doc-major                "1.33">
-<!ENTITY gtk-doc-version              "1.33.2">
+<!ENTITY gtk-doc-version              "1.33.1">
 <!ENTITY gtkhtml-version              "4.10.0">
 <!ENTITY hd2u-version                 "1.0.4">
-<!ENTITY highlight-version            "4.1">
-<!ENTITY ibus-version                 "1.5.25">
+<!ENTITY highlight-version            "3.60">
+<!ENTITY ibus-version                 "1.5.23">
 <!ENTITY imagemagick6-version         "6.9.10">
-<!ENTITY imagemagick-version          "7.1.0">
+<!ENTITY imagemagick-version          "7.0.10">
 <!ENTITY intltool-version             "0.50.2">
 <!ENTITY lsof-version                 "4.91">
-<!ENTITY pinentry-version             "1.2.0">
+<!ENTITY pinentry-version             "1.1.0">
 <!ENTITY rarian-version               "0.8.1">
 <!ENTITY recode-version               "3.6">
@@ -269,5 +269,5 @@
 <!ENTITY telepathy-logger-version     "0.8.2">
 <!ENTITY telepathy-mission-control-version "5.16.6">
-<!ENTITY tidy-html5-version           "5.8.0">
+<!ENTITY tidy-html5-version           "5.6.0">
 <!ENTITY time-version                 "1.9">
 <!ENTITY tree-version                 "1.8.0">
@@ -278,27 +278,27 @@
 <!ENTITY accountsservice-version      "0.6.55">
 <!ENTITY acpid-version                "2.0.32">
-<!ENTITY at-version                   "3.2.2">
-<!ENTITY autofs-version               "5.1.7">
-<!ENTITY bluez-version                "5.61">
-<!ENTITY bubblewrap-version           "0.5.0">
+<!ENTITY at-version                   "3.2.1">
+<!ENTITY autofs-version               "5.1.6">
+<!ENTITY bluez-version                "5.55">
+<!ENTITY bubblewrap-version           "0.4.1">
 <!ENTITY colord-version               "1.4.5">
 <!ENTITY cpio-version                 "2.13">
 <!ENTITY cups-pk-helper-version       "0.2.6">
 <!ENTITY dbus-version                 "1.12.20">   <!-- Even minors only -->
-<!ENTITY elogind-version              "246.10">
+<!ENTITY elogind-version              "246.9.1">
 <!ENTITY blocaled-version             "0.3">
 <!ENTITY eudev-version                "1.7">
 <!ENTITY fcron-version                "3.2.1">
 <!ENTITY gpm-version                  "1.20.7">
-<!ENTITY hdparm-version               "9.62">
+<!ENTITY hdparm-version               "9.60">
 <!ENTITY hdwids-version               "20141022">
 <!ENTITY lm-sensors-version           "3-6-0">
-<!ENTITY logrotate-version            "3.18.1">
+<!ENTITY logrotate-version            "3.17.0">
 <!ENTITY lsb-tools-version            "0.9">
-<!ENTITY mc-version                   "4.8.27">
-<!ENTITY ModemManager-version         "1.16.10">
+<!ENTITY mc-version                   "4.8.25">
+<!ENTITY ModemManager-version         "1.14.8">
 <!ENTITY notification-daemon-version  "3.20.0">
 <!ENTITY obex-data-server-version     "0.4.6">
-<!ENTITY p7zip-version                "17.04">
+<!ENTITY p7zip-version                "16.02">
 <!ENTITY pax-version                  "20201030">
 <!ENTITY pciutils-version             "3.7.0">
@@ -307,54 +307,48 @@
 <!ENTITY rasqal-version               "0.9.33">
 <!ENTITY redland-version              "1.0.17">
-<!ENTITY sg3_utils-version            "1.46">
+<!ENTITY sg3_utils-version            "1.45">
 <!ENTITY strigi-version               "0.7.8">
-<!ENTITY sysstat-version              "12.5.4">
-<!ENTITY systemd-version              "249">
+<!ENTITY sysstat-version              "12.5.2">
+<!ENTITY systemd-version              "247">
 <!--<!ENTITY systemd-stable               "6b4878d"> Unused for now -->
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
-<!ENTITY udisks2-version              "2.9.3">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "6.0.7">
+<!ENTITY udisks2-version              "2.9.1">    <!-- stable lt .90 micro version -->
+<!ENTITY unrar-version                "6.0.3">
 <!ENTITY unzip-version                "6.0">
-<!ENTITY upower-version               "0_99_13">
-<!ENTITY usbutils-version             "014">
+<!ENTITY upower-version               "0.99.11">
+<!ENTITY usbutils-version             "013">
 <!ENTITY weston-version               "1.12.0">
 <!ENTITY which-version                "2.21">
 <!ENTITY zip-version                  "3.0">
 
-<!-- UEFI bootloaders -->
-<!ENTITY efivar-version               "37">
-<!ENTITY efibootmgr-version           "17">
-<!ENTITY grub-version                 "2.06">
-<!ENTITY unifont-version              "13.0.06">
-
 <!-- Chapter 13 -->
 <!ENTITY autoconf213-version          "2.13">
 <!ENTITY bazaar-version               "2.5.1">
-<!ENTITY cbindgen-version             "0.20.0">
+<!ENTITY cbindgen-version             "0.15.0">
 <!ENTITY check-version                "0.12.0">
 <!ENTITY clisp-version                "2.49">
-<!ENTITY cmake-major-version          "3.21">
+<!ENTITY cmake-major-version          "3.19">
 <!ENTITY cmake-minor-version          "2">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY dejagnu-version              "1.6.2">
-<!ENTITY doxygen-version              "1.9.2">
+<!ENTITY doxygen-version              "1.9.0">
 <!ENTITY elfutils-version             "0.170">
 <!ENTITY expect-version               "5.45.4">
-<!ENTITY gcc-version                  "11.2.0">
+<!ENTITY gcc-version                  "10.2.0">
 <!ENTITY gc-version                   "8.0.4">
-<!ENTITY gdb-version                  "10.2">
-<!ENTITY git-version                  "2.33.0">
-<!ENTITY guile-version                "3.0.7">
+<!ENTITY gdb-version                  "10.1">
+<!ENTITY git-version                  "2.30.0">
+<!ENTITY guile-version                "3.0.4">
 <!ENTITY librep-version               "0.92.7">
-<!ENTITY llvm-majmin-version          "12.0">
-<!ENTITY llvm-point-version           "1">
+<!ENTITY llvm-majmin-version          "11.0">
+<!ENTITY llvm-point-version           "0">
 <!ENTITY llvm-version                 "&llvm-majmin-version;.&llvm-point-version;">
-<!ENTITY lua-version                  "5.4.3">
+<!ENTITY lua-version                  "5.4.2">
 <!ENTITY lua52-version                "5.2.4">
-<!ENTITY mercurial-version            "5.9">
+<!ENTITY mercurial-version            "5.6.1">
 <!ENTITY nasm-version                 "2.15.05">
 <!ENTITY ninja-version                "1.9.0">
 <!ENTITY npapi-sdk-version            "0.27.2">
-<!ENTITY php-version                  "8.0.10">
+<!ENTITY php-version                  "8.0.0">
 
 <!ENTITY python2-majorver             "2.7">
@@ -364,5 +358,5 @@
 <!ENTITY python3-major                "3">
 <!ENTITY python3-minor                "9">
-<!ENTITY python3-patch                "6">
+<!ENTITY python3-patch                "1">
 <!ENTITY python3-majorver             "&python3-major;.&python3-minor;">
 <!ENTITY python3-version              "&python3-majorver;.&python3-patch;">
@@ -370,21 +364,20 @@
 
 <!ENTITY ruby-minor-version           "3.0">
-<!ENTITY ruby-patch-version           "2">
+<!ENTITY ruby-patch-version           "0">
 <!ENTITY ruby-version                 "&ruby-minor-version;.&ruby-patch-version;">
-<!ENTITY ruby-gemdir                  "/usr/lib/ruby/gems/&ruby-minor-version;.0">
-<!ENTITY rust-version                 "1.52.0">
-<!ENTITY scons-version                "4.2.0">
+<!ENTITY rust-version                 "1.47.0">
+<!ENTITY scons-version                "4.0.1">
 <!ENTITY slang-version                "2.3.2">
-<!ENTITY subversion-version           "1.14.1">
+<!ENTITY subversion-version           "1.14.0">
 <!ENTITY swig-version                 "4.0.2">
-<!ENTITY sysprof-version              "3.40.1">
-<!ENTITY tcl-version                  "8.6.11">
-<!ENTITY tk-version                   "8.6.11.1">
-<!ENTITY vala-major-version           "0.52">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.5">
-<!ENTITY valgrind-version             "3.17.0">
+<!ENTITY sysprof-version              "3.38.1">
+<!ENTITY tcl-version                  "8.6.10">
+<!ENTITY tk-version                   "8.6.10">
+<!ENTITY vala-major-version           "0.50">  <!-- even minors only -->
+<!ENTITY vala-version                 "&vala-major-version;.2">
+<!ENTITY valgrind-version             "3.16.1">
 <!ENTITY yasm-version                 "1.3.0">
 
-<!ENTITY apache-ant-version           "1.10.11">
+<!ENTITY apache-ant-version           "1.10.9">
 <!--
 <!ENTITY maven-version                "3.6.0">
@@ -393,5 +386,5 @@
 <!ENTITY hamcrest-version             "1.3">
 -->
-<!ENTITY openjdk-version              "16.0.2">
+<!ENTITY openjdk-version              "14.0.1">
 <!ENTITY openjdk-build                "7">
 
@@ -401,12 +394,12 @@
 <!ENTITY Archive-Zip-version          "1.68">
 <!ENTITY autovivification-version     "0.18">
-<!ENTITY Business-ISBN-version        "3.006">
-<!ENTITY Business-ISMN-version        "1.202">
+<!ENTITY Business-ISBN-version        "3.005">
+<!ENTITY Business-ISMN-version        "1.201">
 <!ENTITY Business-ISSN-version        "1.004">
 <!ENTITY Class-Accessor-version       "0.51">
 <!ENTITY Data-Compare-version         "1.27">
-<!ENTITY Data-Dump-version            "1.25">
+<!ENTITY Data-Dump-version            "1.23">
 <!ENTITY Data-Uniqid-version          "0.12">
-<!ENTITY DateTime-Calendar-Julian-version "0.104">
+<!ENTITY DateTime-Calendar-Julian-version "0.102">
 <!ENTITY DateTime-Format-Builder-version "0.83">
 <!ENTITY Encode-EUCJPASCII-version    "0.03">
@@ -416,17 +409,17 @@
 <!--<!ENTITY File-BaseDir-version         "0.08">-->
 <!ENTITY File-Slurper-version         "0.012">
-<!ENTITY File-Which-version           "1.27">
-<!ENTITY HTML-Parser-version          "3.76">
+<!ENTITY File-Which-version           "1.23">
+<!ENTITY HTML-Parser-version          "3.75">
 <!ENTITY HTTP-Daemon-version          "6.12">
-<!ENTITY IO-Socket-SSL-version        "2.072">
+<!ENTITY IO-Socket-SSL-version        "2.068">
 <!ENTITY IO-String-version            "1.08">
 <!ENTITY IPC-Run3-version             "0.048">
 <!ENTITY Lingua-Translit-version      "0.28">
-<!ENTITY List-AllUtils-version        "0.19">
+<!ENTITY List-AllUtils-version        "0.18">
 <!ENTITY List-MoreUtils-version       "0.430">
-<!ENTITY Log-Log4perl-version         "1.54">
+<!ENTITY Log-Log4perl-version         "1.53">
 <!ENTITY LWP-Protocol-https-version   "6.10">
 <!ENTITY Module-Build-version         "0.4231">
-<!ENTITY Net-DNS-version              "1.32">
+<!ENTITY Net-DNS-version              "1.29">
 <!ENTITY Parse-RecDescent-version     "1.967015">
 <!ENTITY Parse-Yapp-version           "1.21">
@@ -436,11 +429,11 @@
 <!ENTITY Sort-Key-version             "1.33">
 <!ENTITY Test-Command-version         "0.11">
-<!ENTITY Test-Differences-version     "0.68">
+<!ENTITY Test-Differences-version     "0.67">
 <!ENTITY Text-BibTeX-version          "0.88">
-<!ENTITY Text-CSV-version             "2.01">
+<!ENTITY Text-CSV-version             "2.00">
 <!ENTITY Text-Roman-version           "3.5">
-<!ENTITY Unicode-Collate-version      "1.31">
+<!ENTITY Unicode-Collate-version      "1.29">
 <!ENTITY Unicode-LineBreak-version    "2019.001">
-<!ENTITY URI-version                  "5.09">
+<!ENTITY URI-version                  "5.05">
 <!ENTITY XML-LibXML-Simple-version    "1.01">
 <!ENTITY XML-LibXSLT-version          "1.99">
@@ -451,45 +444,45 @@
     These should point to cpan.metacpan.org/authors and will not
     get automatically checked for newer versions -->
-<!ENTITY Algorithm-Diff-version       "1.201">
-<!ENTITY Alien-Build-version          "2.41">
-<!ENTITY Alien-Libxml2-version        "0.17">
+<!ENTITY Algorithm-Diff-version       "1.1903">
+<!ENTITY Alien-Build-version          "2.26">
+<!ENTITY Alien-Libxml2-version        "0.16">
 <!ENTITY B-COW-version                "0.004">
 <!ENTITY B-Hooks-EndOfScope-version   "0.24">
-<!ENTITY Business-ISBN-Data-version   "20210112.006">
+<!ENTITY Business-ISBN-Data-version   "20191107">
 <!ENTITY Capture-Tiny-version         "0.48">
 <!ENTITY Class-Data-Inheritable-version "0.08">
 <!ENTITY Class-Inspector-version      "1.36">
-<!ENTITY Class-Singleton-version      "1.6">
-<!ENTITY Class-Tiny-version           "1.008">
+<!ENTITY Class-Singleton-version      "1.5">
+<!ENTITY Class-Tiny-version           "1.006">
 <!ENTITY Clone-version                "0.45">
-<!ENTITY Config-AutoConf-version      "0.320">
+<!ENTITY Config-AutoConf-version      "0.318">
 <!ENTITY CPAN-Meta-Check-version      "0.014">
-<!ENTITY DateTime-version             "1.54">
-<!ENTITY DateTime-Format-Strptime-version "1.79">
-<!ENTITY DateTime-Locale-version      "1.32">
-<!ENTITY DateTime-TimeZone-version    "2.47">
+<!ENTITY DateTime-version             "1.52">
+<!ENTITY DateTime-Format-Strptime-version "1.77">
+<!ENTITY DateTime-Locale-version      "1.26">
+<!ENTITY DateTime-TimeZone-version    "2.39">
 <!ENTITY Devel-StackTrace-version     "2.04">
 <!ENTITY Dist-CheckConflicts-version  "0.11">
 <!ENTITY Encode-Locale-version        "1.05">
 <!ENTITY Eval-Closure-version         "0.14">
-<!ENTITY Exception-Class-version      "1.45">
+<!ENTITY Exception-Class-version      "1.44">
 <!ENTITY Exporter-Tiny-version        "1.002002">
 <!ENTITY ExtUtils-LibBuilder-version  "0.08">
-<!ENTITY FFI-CheckLib-version         "0.28">
+<!ENTITY FFI-CheckLib-version         "0.27">
 <!ENTITY File-chdir-version           "0.1010">
 <!ENTITY File-Copy-Recursive-version  "0.45">
 <!ENTITY File-Find-Rule-version       "0.34">
-<!ENTITY File-Listing-version         "6.14">
-<!ENTITY File-ShareDir-version        "1.118">
+<!ENTITY File-Listing-version         "6.04">
+<!ENTITY File-ShareDir-version        "1.116">
 <!ENTITY File-ShareDir-Install-version "0.13">
 <!ENTITY HTML-Tagset-version          "3.20">
-<!ENTITY HTTP-Cookies-version         "6.10">
+<!ENTITY HTTP-Cookies-version         "6.08">
 <!ENTITY HTTP-Date-version            "6.05">
-<!ENTITY HTTP-Message-version         "6.33">
+<!ENTITY HTTP-Message-version         "6.25">
 <!ENTITY HTTP-Negotiate-version       "6.01">
-<!ENTITY Importer-version             "0.026">
-<!ENTITY IO-HTML-version              "1.004">
+<!ENTITY Importer-version             "0.025">
+<!ENTITY IO-HTML-version              "1.001">
 <!ENTITY IPC-System-Simple-version    "1.30">
-<!ENTITY libwww-perl-version          "6.55">
+<!ENTITY libwww-perl-version          "6.46">
 <!ENTITY List-MoreUtils-XS-version    "0.430">
 <!ENTITY List-SomeUtils-version       "0.58">
